[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#986779: preinst script misses dependency on dpkg-dev



Control: tag -1 buster
Control: severity -1 serious

On Mon, Apr 12, 2021 at 06:04:56AM +0200, Daniel Leidert wrote:
> Package: fwupd
> Version: 1.2.13-3+deb10u2
> Severity: normal
> 
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA512
> 
> The preinst script uses `dpkg-vendor` which is provided by dpkg-dev. But there
> is no (pre-)dependency on this package. Thus the preinst script throws an
> error:
> 
> Preparing to unpack .../04-fwupd_1.2.13-3+deb10u2_amd64.deb ...
> /var/lib/dpkg/tmp.ci/preinst: 13: /var/lib/dpkg/tmp.ci/preinst: dpkg-vendor: not found
> 
dpkg-vendor shouldn't be used in maintainer scripts...

Cheers,
Julien


Reply to: